io.vertx.ext.consul

## Class EventOptions

- java.lang.Object
- - io.vertx.ext.consul.EventOptions

-     public class EventOptions
      extends Object

  Options used to trigger a new user event.
  Author:
    Ruslan Sennov

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventOptions()` Default constructor
    `EventOptions(EventOptions options)` Copy constructor
    `EventOptions(JsonObject options)` Constructor from JSON

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getNode()` Get regular expression to filter by node name
    `String` | `getPayload()` Get payload of event
    `String` | `getService()` Get regular expression to filter by service
    `String` | `getTag()` Get regular expression to filter by tag
    `EventOptions` | `setNode(String node)` Set regular expression to filter by node name
    `EventOptions` | `setPayload(String payload)` Set payload of event
    `EventOptions` | `setService(String service)` Set regular expression to filter by service
    `EventOptions` | `setTag(String tag)` Set regular expression to filter by tag
    `JsonObject` | `toJson()` Convert to JSON

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EventOptions

          public EventOptions()

      Default constructor

    - #### EventOptions

          public EventOptions(EventOptions options)

      Copy constructor
      Parameters:
        `options` - the one to copy

    - #### EventOptions

          public EventOptions(JsonObject options)

      Constructor from JSON
      Parameters:
        `options` - the JSON

  - ### Method Detail

    - #### toJson

          public JsonObject toJson()

      Convert to JSON
      Returns:
        the JSON

    - #### getNode

          public String getNode()

      Get regular expression to filter by node name
      Returns:
        regular expression to filter by node name

    - #### setNode

          public EventOptions setNode(String node)

      Set regular expression to filter by node name
      Parameters:
        `node` - regular expression to filter by node name
      Returns:
        reference to this, for fluency

    - #### getService

          public String getService()

      Get regular expression to filter by service
      Returns:
        regular expression to filter by service

    - #### setService

          public EventOptions setService(String service)

      Set regular expression to filter by service
      Parameters:
        `service` - regular expression to filter by service
      Returns:
        reference to this, for fluency

    - #### getTag

          public String getTag()

      Get regular expression to filter by tag
      Returns:
        regular expression to filter by tag

    - #### setTag

          public EventOptions setTag(String tag)

      Set regular expression to filter by tag
      Parameters:
        `tag` - regular expression to filter by tag
      Returns:
        reference to this, for fluency

    - #### getPayload

          public String getPayload()

      Get payload of event
      Returns:
        payload of event

    - #### setPayload

          public EventOptions setPayload(String payload)

      Set payload of event
      Parameters:
        `payload` - payload of event
      Returns:
        reference to this, for fluency

Copyright © 2021 Eclipse. All rights reserved.